/* Problem URL: https://codeforces.com/problemset/problem/2129/C1 */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

const int oo = INT32_MAX >> 1;
const ll OO = INT64_MAX >> 1;


void pre()
{

}

#define TEST 1

void solve()
{
    int n;
    cin >> n;

    string ans(n, ' ');

    vi pos(n);
    rep(i, n) {
        pos[i] = i + 1;
    }
    bool rev = false;

    int total;
    cout << "? " << n;
    nrep(i, 1, n + 1) {
        cout << ' ' << i;
    }
    cout << endl;
    cin >> total;

    if (total == 0) {
        rev = true;
        reverse(all(pos));
        cout << "? " << n;
        rep(i, n) {
            cout << ' ' << pos[i];
        }
        cout << endl;
        cin >> total;
    }

    auto sfirstclose = [&]() {
        int low = 2;
        int high = n;
        int ans = 2;
        while (low <= high) {
            int mid = (low + high) >> 1;

            cout << "? " << mid;
            rep(i, mid) {
                cout << ' ' << pos[i];
            }
            cout << endl;
            int cur;
            cin >> cur;

            if (cur == total) {
                ans = mid;
                high = mid - 1;
                continue;
            }

            low = mid + 1;
        }

        return ans;
    };

    int c = sfirstclose();

    int v = pos[c -  1];
    for (int i = 0; i + 1 < n; i += 2)  {
        cout << "? 9 " << i + 1 << ' ' << v << ' '  << v << ' ' << i + 2 << ' ' <<  v << ' ' <<  i + 1 << ' ' << i + 1 << ' ' << i + 2 << ' ' << i + 2 << endl;
        int cur;
        cin >> cur;

        char a1[] = {')', ')', '(', '('};
        char a2[] = {')', '(', '(', ')'};

        ans[i] = a1[cur];
        ans[i + 1] = a2[cur];
    }

    if (n & 1) {
        cout << "? 2 " << n << ' ' << pos[c - 1] << endl;
        int cur;
        cin >> cur;

        if (cur == 1) {
            ans.back() = '(';
        } else {
            ans.back() = ')';
        }
    }

    cout << "! " << ans << endl;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    pre();

    int t;
    (TEST && cin >> t) || (t = 1);
    while (t--) {
        solve();
    }
}
